﻿<%@ Application Language="VB" %>
<script runat="server">
    Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
        ' Código que se ejecuta al iniciarse la aplicación
        Application.Lock() 'Bloqueo la aplicación
        'Aca inicializamos una variable para contar usuarios activos
        Application("UsuariosActivos") = 0
        Application.UnLock() 'Desbloqueo la aplicación.
    End Sub
    
    Sub Application_End(ByVal sender As Object, ByVal e As EventArgs)
        ' Código que se ejecuta durante el cierre de aplicaciones
    End Sub
        
    Sub Application_Error(ByVal sender As Object, ByVal e As EventArgs)
        ' Código que se ejecuta al producirse un error no controlado
    End Sub

    Sub Session_Start(ByVal sender As Object, ByVal e As EventArgs)
        'Aca podemos incrementar la variable que contiene el numero de usuarios activos
        Application.Lock()
        Application("usuariosActivos") = Application("usuariosActivos") + 1
        Application.UnLock()
    End Sub

    Sub Session_End(ByVal sender As Object, ByVal e As EventArgs)
        ' Se desencadena cuando termina la sesión
        Application.Lock()
        Application("usuariosActivos") = Application("usuariosActivos") - 1
        Application.UnLock()
    End Sub
</script>
